spring:
  #caffeine缓存
  cache:
    type: caffeine
    caffeine:
      spec: initialCapacity=50,maximumSize=500,expireAfterWrite=300s
    cache-names: stationBySn,device,modelConfigList,topologyList

mybatis:
  type-aliases-package: com.ho.datacollect.entity
  mapper-locations: classpath:mapper/*.xml
  configuration:
    #驼峰
    mapUnderscoreToCamelCase: true

#Logging
logging:
  config: classpath:logback.xml
  level:
    com.ho.datacollect.mapper: info


#水电气转换系数 todo 转换系数
energy:
  convertFactor:
    elec: 2
    water: 2
    gas: 2
  #二氧化碳到煤的转换系数
  co2ToCole: 0.4
  #二氧化碳到树的转化系数
  co2ToTree: 1800
  #二氧化碳到汽油的转化系数
  co2ToGasoline: 2.30
  #树到平方公里的转化系数
  treeToSquareKilometer: 40000
#对比电站下的采集点时间差值
station:
  timeDifference: 10

#逆变器配置
inverter:
  #查询逆变器发电量的时间间隔 分钟
  timeInterval: 15
  co2Factor: 0.997
  five: 5

# 大屏配置
largeScreen:
  #收益系数
  income: 0.6

#mqtt接外部数据使用
mqtt1:
  url: tcp://1.95.131.171:1883
  userName: admin
  passWord: zzkj@688737
  timeout: 5000
  keepAlive: 60


#默认逻辑开关控制 使用默认逻辑为true，不使用为false
switch:
  #心跳
  controlResponseConsumerDefaultLogic: true
  #登录
  loginRequestConsumerDefaultLogic: true
  #响应边端
  readResponseConsumerDefaultLogic: true
  #上送
  reportPushConsumerDefaultLogic: true
  #写返回
  writeResponseConsumerDefaultLogic: true